---
title: System Requirements for GitLab Professional Services Training Sessions 
suppress_header: true
description: "System Requirements for GitLab Professional Services Training Sessions"
extra_css:
  - services.css
---

.blank-header
  = image_tag "/images/home/icons-pattern-left.svg", class: "image-border image-border-left", alt: "Gitlab hero border pattern left svg"
  = image_tag "/images/home/icons-pattern-right.svg", class: "image-border image-border-right", alt: "Gitlab hero border pattern right svg"
  .header-content
    %h1 System Requirements for GitLab Professional Services Training Sessions  

.wrapper
  .page-container.container
    %ol.breadcrumb
      %li 
      = breadcrumbs(current_page)
    .row
      .col-md-12
        %h2 Attendee pre-training system requirements
        %p A few tasks are needed to ensure a smooth learning experience. Most of the training modules include a presentation and demo. The curriculum is heavily practice-based. Whether a local machine is used or an instance provided by Gitlab, it's important to review the following requirements ahead of the training session.
        %h3 Attendee local setup  
        %ul
          %li 
            %strong Operating System: 
            Attendees must bring their own laptop or desktop that runs either macOS, Linux, or Windows operating systems.
          %li 
            %strong Internet Access: 
            Attendees need Internet access with the ability to reach websites via http/https.
        %h3 GitLab Demo Cloud Access
        %p Unique invitation codes are handed out on the first day of class by the instructors. Access to an instance with all paid features and capabilities turned on is provided during the training session, features not always available with the free version (GitLab CE) of GitLab. Ensure both the invitation site and the GitLab Demo Cloud URLs are reachable, resolving firewall issues ahead of training.
        %ul
          %li
            %a{href: "https://ilt.gitlabtraining.cloud/users/sign_in", target: "_blank"} GitLab Demo Cloud
          %li
            %a{href: "https://www.gitlabdemo.com/invite", target: "_blank"} Invitation Page
        %h3 Course-Specific Requirements
        %h4 GitLab with Git Basics
        %ul
          %li 
            %strong GitLab Access: 
            Attendees require access to the GitLab Demo Cloud environment to participate in the hands-on activities.
          %li 
            %strong Verify Git Installation: 
            The following steps verify whether on the local machine Git is installed:
          %ul
            %li 
              %strong macOS:
              Type 
              %code git
              in the Terminal application. If it’s not installed, it will prompt you to install it.
            %li 
              %strong Linux: 
              %code sudo yum install git-all 
              or 
              %code sudo apt-get install git-all
            %li 
              %strong Windows 10: 
              %a{href: "https://docs.microsoft.com/en-us/windows/wsl/install-win10", target: "_blank"} Windows Subsystem for Linux
            %li 
              %strong Other versions of Windows: 
              %a{href: "https://git-for-windows.github.io", target: "_blank"} See Git for Windows
          %li 
            Generate SSH keys: 
            %a{href: "https://docs.gitlab.com/ee/ssh/", target: "_blank"} Follow the instructions here          
          %li 
            %strong Browser:
            No Internet Explorer       
        %h4 GitLab CI/CD Training
        %ul
          %li 
            %strong GitLab Access: 
            Access to GitLab such as through the GitLab Demo Cloud environment is required for each attendee to participate in the hands-on activities.
          %li 
            %strong Browser:
            No Internet Explorer
          %li 
            %strong Required Runner Executor:
            <a href="https://docs.gitlab.com/runner/executors/shell.html" target="_child">Shell</a> executor required to complete Hands On activities for this course. With a different executor on the local machine, the instructor will demo lab exercises for the entire class.
        %h4 GitLab for System Administrators
        %ul
          %li 
            %Self Managed Lab: 
            An option for orgainzations is to have GitLab provide virtual machines (VMs). Alternatively, VMs can be installed on local machines with a GitLab sandbox instance installed there. Two VMs are the requirement for this class, one for a GitLab instance and the second for a Runner, both with a FQFN (Fully Qualified Domain Name). The GitLab and the Runner VMs will need access to each other through ports 80 and 443.  Access using the FQDNs in a browser from a workstation is required. Either RedHat, CentOS or Ubuntu is supported for the course. Minimum workstation requirements are 4x CPU and 4GB RAM. It is suggested to use 8x CPU and 16GB RAM for the GitLab Instances per student.  Students should be able to have 
            %code ssh 
            access to each VM and have 
            %sudo 
            rights for incidental root access.
          %li      
            %strong Docker: 
            The installation of Docker when virtual machines (VMs) from GitLab are provided, an option your organization can choose for the training session, is not required. Alternatively Docker installation on a local system affords installation of a GitLab sandbox instance. What's important is installing Docker prior to the start of the training session for full participation with hands-on activities. Should any of these options be unavailable, the trainer demonstrates all steps of every hands-on exercise during the session. 
            

            To install Docker on a local machine, <a href= "https://www.docker.com/products/docker-desktop" target="_child">start here.</a>
            %strong SSH Access: 
            SSH access to the Lab VMs is required. For *nix workstations (Mac or Linux), this is usually defaulted into the terminal. For Windows workstations we recomend git bash. <a href="https://gitforwindows.org/" target="_child">Git for Windows here</a> 
            Windows 10 or above can be used, but is not the preferred method. If your OS does not have a pre-installed SSH client, you will need to install it prior to class.
          %li 
            %strong Browser:
            Internet Explorer is not supported
        %h4 Project Management with GitLab
        %ul
          %li 
            %strong GitLab Access: 
            Access to GitLab such as through the GitLab Demo Cloud environment is required for each attendee to participate in the hands-on activities.
          %li 
            %strong Browser:
            No Internet Explorer            
        %h4 GitLab Security Essentials
        %ul
          %li 
            %strong GitLab Access: 
            Access to GitLab such as through the GitLab Demo Cloud environment is required for each attendee to participate in the hands-on activities.
          %li 
            %strong Browser:
            No Internet Explorer
          %li 
            %strong Runner Executor Needed:
            <a href="https://docs.gitlab.com/runner/executors/shell.html", target: "_child">Shell</a> needed to complete Hands On activities for this course. If a different executor is ready on your local machine, notify the instructor and we can plan on demoing the lab exercises.
              
        %h4 GitLab InnerSourcing Training
        %p 
        %strong Licenses:
        The following features covered in this session are only available for Silver/Gold & Premier/Ultimate GitLab Licenses:
        %ul
          %li Multi-Level Epics
          %li Roadmaps 
          %li Incremental Rollout        
          %li Package Registry
          %li Container Registry
          %li Dependency Proxy
        %ul
          %li 
            %strong GitLab Access: 
            Access to GitLab such as through the GitLab Demo Cloud environment is required for each attendee to participate in the hands-on activities.
          %li 
            %strong Browser:
            No Internet Explorer  
